;***** Push Button Test

.include "1200def.inc"
.device at90s1200

.def	Temp	=r16		;temporary register
.def	Delay	=r17
.def	Delay2	=r18

;***** Initialization

RESET:

	ser	Temp
	out	DDRB,Temp		; Set PORTB to output

;**** Test input/output

LOOP:	out	PORTB,temp		; Update LEDs

    	sbis    PIND,0x00	; if (SW0 == 0) 
    	inc	Temp			; then count LEDs one down
    	sbis    PIND,0x01	; if (SW1 == 0) 
    	dec	Temp			; then count LEDs one up
    	sbis    PIND,0x02	; if (SW2 == 0)
    	ror	Temp			; then rotate LEDs one right
    	sbis    PIND,0x03	; if (SW3 == 0)
    	rol	Temp			; then rotate LEDs one left
    	sbis    PIND,0x04	; if (SW4 == 0)
    	com	Temp			; then invert all LEDs
    	sbis    PIND,0x05	; if (SW5 == 0)
    	neg	Temp			; then invert all LEDs and add 1
    	sbis    PIND,0x06	; if (SW6 == 0)
    	swap	Temp			; then swap high and low nibbles of LEDs

;**** No wait a while to make LED changes visible.

DLY:	dec	Delay
	brne	DLY
	dec	Delay2
	brne	DLY

    	rjmp    LOOP			;repeat loop endlessly

